The Joomla! Community Magazine™

Per què actualitzar el meu Joomla a la versió 2.5?

Written by | Monday, 01 October 2012 00:00 | Published in 2012 October
Per què actualitzar el meu lloc? Joomla! 2.5 ofereix moltiiiiisimes més característiques i funcions noves i/o millorades per als usuaris de Joomla!. Però és difícil actualitzar des Joomla 1.5 a la versió 2.5? No, no ho és. En l'actualitat és bastant fàcil, només cal tenir en compte unes quantes coses i, com sempre, fer primer una còpia de seguretat de la base de dades i de Joomla, abans de començar la migració del seu lloc a Joomla! 2.5, després de revisar els següents punts per assegurar-se que el procés serà el més fluid possible.
  • Categories niuades o ACL?
    • A la versió 1.5 hi ha les categories i les seccions, a partir de la versió 1.6, es va passar a utilitzar categories niuades. Això no és cap problema ja que l'aplicació de migració realitza perfectament el traspàs de seccions a categories niuades en la categoria pare.
  • Totes les extensions que utilitzo són compatibles amb Joomla! 2.5?
    • El més segur és que totes les extensions que utilitza les trobi per a la versió 2.5, de manera que kes hauria buscar i baixar-les per tenir-les preparades quan les necessiti instal·lar, que serà després de fer la migració. Si no troba l'extensió per la versió 2.5 llavors haurà de buscar una amb funcionalitat similar.
  • Està la seva plantilla preparada per Joomla! 2.5?
    • Ja que actualitza Joomla! i les extensions, podeu aprofitar totes les seves possibilitats i utilitzar una plantilla nova, tingui present que les plantilles de la versió 1.5 NO SERVEIXEN per a la 2.5, de manera que hauria de buscar la que més li sigui del seu grat, llegir la seva tutorial, i baixar-la per tenir-la a punt ... o potser voleu continuar amb la plantilla que té des de fa anys, llavors el que ha de fer en baixar aquesta plantilla per tenir-la preparada per a després de la migració. Tingueu en compte que Joomla! ve ja amb unes plantilles per defecte, de manera que no es trobarà amb problemes de visió del seu lloc a l'inici.

Si vostè ja te clar aquests punts que hem comentat, ja està preparat per migrar a Joomla! 2.5

Recordi que Joomla! 1.5, a partir de finals del 2012, ja no té suport, llevat que es trobi una fallada de seguretat, pel que el seu actual lloc no seguirà rebent actualitzacions regulars. El problema rau més en què els servidors deixaran d'utilitzar en breu les versions 4 de PHP, de manera que un dia el seu lloc podria no funcionar. No esperi a l'últim moment! s'evitarà disgustos i presses.

Requisits Tècnics Joomla 2.5.x compat 25, 1.7.x compat 17 y 1.6.x compat 16

Software                         Recomanat                   Mínim                 Mès informació

PHP                                            5.3 +                                              5.2.4 +                          http://www.php.net

MySQL                                       5.0.4 +                                          5.0.4 +                          http://www.mysql.com

Apache (with mod_mysql      2.x +                                              2.x +                              http://www.apache.org

mod_xml, and mod_zlib)

Microsoft IIS                            7                                                      7                                    http://www.iis.net

¡IMPORTANT!

Abans de migrar, recordi fer una còpia de seguretat del lloc i de la base de dades.

Aquí tenen les instruccions (anglès) sobre com fer còpies de seguretat d'una base de dades amb PhpMyAdmin (comú en la majoria dels servidors d'Internet).

D'altra banda, hi ha diverses extensions de còpies de seguretat per Joomla! com Akeeba Backup per fer una còpia de seguretat completa del seu lloc o SQL Dumper que es pot utilitzar tant per a la creació com restauració de bases de dades de Joomla!.

Verifiqui les seves extensions

Les extensions de Joomla! 1.5 no funcionaran en Joomla! 1.6, 1.7 o 2.5 per defecte. Comproveu verificar que totes les seves extensions de tercers per Joomla!, Plugins, plantilles, components i mòduls que utilitza, estan disponibles per a les versions posteriors a Joomla! 1.5 per evitar qualsevol pèrdua de funcionalitat en el seu nou lloc. Per més informació accedeixi a extensions.joomla.org i busqui els complements que utilitzeu, a la pàgina d'informació d'aquests veurà una imatge Compatible amb 1,5  compatible amb 2.5 que indica en quines versions es troba l'extensió.

Verifiqui la seva plantilla

Joomla! 5/2 té una nova estructura de plantilla, les plantilles existents per Joomla! 1.5 no funcionaran en Joomla! 2.5. Si us plau, consulti amb el seu proveïdor de plantilles per obtenir versions actualitzades per a la versió de Joomla! 2.5.

Ara ja pot migrar el seu Joomla, ho agrairà.

Instal·lar jUpgrade

Primer de tot, comprovi que té instal·lada l'última versió de Joomla! 1.5 que és la 1.5.26, si no la té, ¡Actualitzi JA!

Descarregui al seu ordinador l'última versió del jUpgrade (cal estar registrat), en aquest moment és jUpgrade 2.5.2 i també descarregui la versió 1.2.3 (Aquesta és una descàrrega directa) d'aquest, més endavant comentem el motiu. Instal·leu l'última versió ene el seu Joomla!. Aquesta actualització passarà el seu lloc de la versió 1.5.26 a la versió 2.5.6, l'última que ha sortit fins ara.

Instal·leula com fa amb les altres extensions, menú Extensions -> Gestor d'extensions -> Carrega de paquet ... i buscar en el seu ordinador l'arxiu com_jupgrade-xxx.zip ... seleccioneu i feu clic a "instal·lació", al cap d'uns segons ja tindrà instal·lat el jUpgrade a Joomla!.

Ara ha d'anar al menú Components, clicar a jUpgrade i li apareixerà una pantalla semblant a aquesta:

Inicio de migración

És possible que aparegui algun missatge que hi ha un plugin o mòdul que està desactivat i li demanin activar per poder realitzar la migració. A d'accedir al menú Extensions -> Gestor de plugins o de mòduls i activar el que li demanin, per continuar amb la migració. Veure vídeo explicatiu dels processos.

Cliqui en Inici MIGRACIÓ i li aniran apareixent a la pantalla d'una manera força transparent, totes les operacions que va realitzant, com pot veure en les següents imatges.

Realizando la migración de la versión 1.5 a la 2.5

Jupgrade instalado correctamente

Si ha arribat a aquest punt JA TÉ EL SEU JOOMLA! Migrat! ha passat de la versió 1.5 a la 2.5. Però ... ¿Això és tot? No!, Ara ha de comprovar que tot funciona corectamente, això ho farà afegint a la seva adreça normal d'entrada a la seva web www.suweb.com, jupgrade d'aquesta manera www.suweb.com/jupgrade/ afegint administrador per accedir a la administració del Joomla!.

¡IMPORTANT! no surti de la pàgina fins que la migració s'hagi realitzat amb èxit. Que no ha aconseguit arribar al final de la migració? doncs aneu al final de l'article, on es donen solucions als possibles problemes que hagin pogut tenir.

Verificar la instal · lació

Accedirà als arxius migrats, comprovi que tot s'ha realitzat com estava previst, miri una a una les àrees que comentem a continuació.

  • Anuncis
  • Categories. Les seccions han d'haver passat a categories niuades
  • Contactes
  • Contingut
  • Menús. Si no veu els menús que tenia, provi a crear un amb el mateix nom, ja que pot passar que no es vegi, però que en realitat el menú és present a la base de dades. Quan l'hagi creat hauria de sortir els submenús dependents d'aquest. Feu el mateix amb la resta dels menús que li faltin.
  • Mòduls
  • Notícies externes
  • Usuaris
  • Enllaços web
  • Plantilles. Les plantilles hauran desaparegut, reinstal de nou la plantilla, o una nova, aquest és un moment propici per canviar la cara del seu lloc.
  • I tot en el que tingui informació ...

Instal·lant les extensions

Ara és el moment d'instal·lar els idiomes, mòduls, plugins, complements, extensions, plantilles ... i verificar que tot funciona correctament. Això ho ha de fer manualment, no hi ha cap automatisme que ho faci per vostè.

Segurament s'hauran de resituar els mòduls a la plantilla que hi hagi instal·lat, sobretot si és diferent a la que utilitzava fins ara.

Tot funciona correctament? ¡fantàstic! anem al següent pas ...

Advertència és possible que en la interfície d'usuari, quan vulgui anar a un document, li doni l'error 404 Component no trobat. No s'inquieti, només és perquè la direcció a la qual es dirigeix, a la carpeta jupgrade no existeix, però quan traspassi les carpetes de la nova instal·lació a la direcció correcta, no hi haurà cap problema.

Movent els arxius

Primer mourem els arxius de la carpeta arrel / a una carpeta nova amb un nom que els sigui fàcil de recordar, com per exemple, oldweb_elnomdellloc, també poden eliminar, però els aconsellem guardar durant un temps prudencial, fins que estiguin segurs que el lloc funciona perfectament (suposem que tenen el backup del lloc Joomla 1.5 en una altra carpeta del servidor o en el seu PC).

Seguidament mourem els arxius des de la carpeta jupgrade a l'arrel /. Això ho podem fer, bé des de l'Administrador d'Arxius del cpanel del servidor, o amb una aplicació de FTP com Filezilla que el pot trobar per a qualsevol sistema operatiu.

Un cop fet això ja podrem accedir normalment al nostre lloc. Funciona correctament? doncs és el moment de fer la còpia de seguretat de la nova instal·lació.

Depurant les dades

¡Essencial! tenir una còpia de seguretat de la base de dades. un cop tenim aquesta còpia, si volem tenir la base de dades neta, que treballi amb més velocitat de resposta i la possibilitat de tenir menys problemes d'errors, obrirem l'administrador de les bases de dades al nostre domini, comprovarem que hi ha dos tipus de prefixos de bases de dades, una serà segurament j25_, o j17_, l'altra, si no va canviar les inicials de la base de dades en Joomla 1.5, serà jos_, marcarem les entrades amb aquest prefix, jos_  per poder eliminar-los ja que són dades que pertanyen a Joomla! 1.5 i que no s'utilitzen en Joomla! 2.5.

Possibles solucions a problemes en la migració

  1. No s'ha fet la migració?. Quan clica a Migrar, és com si estigués realitzant la instal·lació, però no passa res i no s'acaba d'instal·lar, encara que la carpeta de jupgrade existeix en el domini. Esborri la instal·lació d'aquesta versió del jupgrade i instal·leu jupgrade 1.2.3.
  2. JUpgrade no pot descarregar el paquet de Joomla 2.5? - Quan la descàrrega falla, (timeouts, problemes amb javascript, etc) vostè pot descarregar el paquet manualment des d'aquí: descarregar Joomla 2.5.x i indicar un arxiu a la carpeta "/ tmp" del lloc. Després, des de les preferències del jUpgrade, vostè pot configurar el 'Skip Download' a 'Yes'. Després d'això, executeu la migració de nou.
  3. Està vostè rebent errors a la barra de progrés utilitzant Internet Explorer - Prueve d'usar Firefox.
  4. Si la migració es queda penjada en l'última acció "actualització de 3es parts", torneu a provar, si continua passant el mateix, desinstal·leu el jUpgrade que té instal·lat i instal la versió jupgrade 1.2.3, ja que hi ha vegades que la versió 2.5. 2 es queda massa temps fent la migració i acaba per no realizala, en canvi la versió 1.2.3 sol funcionar en aquests casos. La versió de Joomla! que tindrà instal·lada serà la 1.7. La resta de passos són exactament els mateixos. Per passar de la versió 1.7 a la 2.5. ho pot fer de dues maneres.
    1. Mitjançant l'actualitzador de Joomla en extensions -> Gestor d'extensions -> Actualitzar, aquí feu clic al botó Cercar actualitzacions, li sortiran totes les actualitzacions que es poden instal · lar al seu lloc, triï les que vulgui actualitzar i feu clic a Actualitza. Li sortirà una sèrie de missatges, en blau les actualitzacions realitzades sense problemes, en vermell les que han tingut algun problema, en aquest espai que comentaran el problema que hi ha hagut. Pot anar a la pestanya de "Trobar" i clicar a Trobar, si hi ha hagut una mala instal · lació i Joomla! ho pot arreglar, li sortirà el component / s en una llista, elíjalos i cliqui a "Instal · lar".
    2. Per FTP, pujant l'última versió de Joomla que actualment és la 2.5.6 i instal · lant sobre la 1.6. No s'oblidin de fer una còpia completa, arxius i base de dades, del seu lloc.
  5. Reportar bugs: Lloc a què reportar qualsevol error
  6. Suport:
    1. Fòrum de suport (en anglès)
    2. Fòrum de suport (en espanyol)


Realitzat per Manuel Rubio
Membre de l'equip de Màrqueting i Difusió de Joomla en espanyol

Read 3594 times
Tagged under Catalan
Manuel Rubio

Manuel Rubio

Emprendedor, autodidacta, diseñador, artesano... Encontré el CMS de Joomla buscando soluciones que facilitaran la creación de sitios web allá por el 2008, y desde ese día lo he venido utilizando para realizar proyectos. Cuando descubrí que detrás del proyecto existía una comunidad, me uní a ella para ayudar en lo que pudiera... y en eso estoy :-)

Language Switcher

Current Articles

Recommend us on Google+